"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var filter_1 = require("../decorators/filter");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var UppercaseFilter = /** @class */ (function () {
    function UppercaseFilter() {
    }
    UppercaseFilter.factory = function () {
        return function (value) { return paradigm_ui_web_shared_1.ObjectExtensions.isNull(value) ? null : value.toUpperCase(); };
    };
    UppercaseFilter = tslib_1.__decorate([
        filter_1.Filter()
    ], UppercaseFilter);
    return UppercaseFilter;
}());
exports.UppercaseFilter = UppercaseFilter;
